package com.brilliance.isc.common.bptbck.service;

import com.brilliance.isc.vo.component.bptbck.BptbckQueryVo;
import com.brilliance.isc.vo.component.bptbck.BptbckVo;
import com.brilliance.isc.vo.component.bptbck.Gle4338Vo;

import java.util.List;

public interface BptbckService {

    void assertBptbck(BptbckVo bptbckVo);

    String call6157Data(BptbckVo bptbckVo);

    void defaultSetamtN1000(BptbckVo bptbckVo);

    void process6107Interface(BptbckVo bptbckVo);

    List<Gle4338Vo> calcGle4338(BptbckQueryVo bptbckQueryVo);

    void storeAll(BptbckVo bptbckVo);
}
